Subject: bug#25775: Can't install packages after guix pull

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 19 Feb 2017 10:21:40 +0100

On 02/18/2017 12:11 PM, Pjotr Prins wrote:
> I am seeing the same on a fresh checkout and build:
> 
> penguin2:~/genenetwork/guix$ ./pre-inst-env guix package -p $HOME/opt/guix-build-system --install autoconf
> warning: failed to install locale: Invalid argument
> Backtrace:
> In guix/packages.scm:
>  982: 19 [bag-grafts # #]
>  966: 18 [fold-bag-dependencies #<procedure 3cc5a20 at guix/packages.scm:982:29 (package grafts)> ...]
>  983: 17 [#<procedure 3cc5a20 at guix/packages.scm:982:29 (package grafts)> # ()]
>  786: 16 [cache! #<weak-key-hash-table 190de00 0/223> # "x86_64-linux" ...]
>  910: 15 [thunk]
>  786: 14 [cache! #<weak-key-hash-table 18fc520 167/223> # # ...]
> 1092: 13 [thunk]
> 1024: 12 [bag->derivation # # #]
> In srfi/srfi-1.scm:
>  578: 11 [map #<procedure 43a1960 at guix/packages.scm:1026:30 (t-1699962)> #]
> In guix/packages.scm:
>  846: 10 [expand-input # # # ...]
> In guix/store.scm:
> 1249: 9 [run-with-store # ...]
> In guix/packages.scm:
>  480: 8 [#<procedure 43f9f60 at guix/packages.scm:480:2 (state)> #]
>  485: 7 [#<procedure 3f5ff40 at guix/packages.scm:485:34 (state)> #]
> In gnu/packages/bash.scm:
>  249: 6 [#<procedure 3f5ff80 at gnu/packages/bash.scm:249:2 (state)> #]
> In guix/download.scm:
>  421: 5 [#<procedure 418ea00 at guix/download.scm:421:2 (state)> #]
> In guix/store.scm:
> 1169: 4 [#<procedure 43f9e10 at guix/store.scm:1168:28 (store)> #]
> In guix/packages.scm:
>  786: 3 [cache! #<weak-key-hash-table 18fc520 167/223> #f ...]
> 1092: 2 [thunk]
>  786: 1 [cache! #<weak-key-hash-table 1900640 169/223> #f ...]
>  871: 0 [thunk]
> 
> @ commit 42e721a13d6f47397e585f5909d140c4bafb4ad0
> 
> Installation with --no-grafts passes fine.
> 
> Pj.
> 

I had the same error yesterday on Arch after `guix pull` when I tried to
`guix system init` or `guix package -u`. I tried again with a newly
compiled guix from git, but the same error occurred. I did not try
--no-grafts.

Today I don’t even get that far:

$ guix package -u
guix package: error: failed to connect to
`/var/guix/daemon-socket/socket': Connection refused

`systemctl status -l guix-daemon` shows no errors. Another reboot of
course does not help.

Regards,
Florian